mia-2dstackfilter
Prev | Processing of series of 2D images in a 3D fashion (out-of-core) | Next

### mia-2dstackfilter

#### Sysnopis:

`mia-2dstackfilter` {-i `io`} {-o `io`} {-t `set`} [ `options` ...] [ `Plugin type: 2dstack/filter` ...]

#### Description:

This program is used to filter and convert a series of 2D gray scale images in a 3D fashion by running filters (filter/2dimage) as given on the command line.

#### Options:

-i, --in-file=(input, required); io

  input image(s) to be filtered. For supported file types see Plugin type: 2dimage/io

-o, --out-file=(output, required); io

  output file name base, the actual names is created by adding the file number based on output order and the extension bysed on the 'type' parameter. For supported file types see Plugin type: 2dimage/io

-t, --type=(required); set

  output file type Supported values are:(-, @, BMP, DCM, EXR, JPEG, JPG, PNG, RAW, TIF, TIFF, V, VISTA, bmp, dcm, exr, jpeg, jpg, png, raw, tif, tiff, v, vista, )

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Run a mean-least-varaiance filter on a series of images that follow the numbering pattern imageXXXX.exr and store the output in images filteredXXXX.exr

    mia-2dstackfilter -i image0000.exr -o filtered -t exr mlv:w=2

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dstack-cmeans-presegment | Home | mia-3ddistance